System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

This enumeration allows the user to specify whether the message being transmitted is procedure-oriented or document-oriented. Procedure-oriented messages contain parameters and return values, while document-oriented messages contain documents.

Specifies the type of action that occurs in the XML Web service at the level of the class hierarchy to which this enumeration is applied.

- Field
  System.Web.Services.Description.SoapBindingStyle To be added

  The default type of action for the current hierarchical level of the Web Services Description Language (WSDL) file.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Field
  System.Web.Services.Description.SoapBindingStyle To be added

  The message being transmitted is document-oriented.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlEnum("document")
- Field
  System.Web.Services.Description.SoapBindingStyle To be added

  The message being transmitted contains the parameters to call a procedure or the return values from that procedure. RPC is an acronym for "remote procedure call."

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlEnum("rpc")